def lunar_addition(a, b):
    max_len = max(len(a), len(b))
    a, b = a.zfill(max_len), b.zfill(max_len)

    result = ''.join(str(max(int(x), int(y))) for x, y in zip(a, b))
    return result


def lunar_multiplication(a, b):
    result = []

    for i, y in enumerate(reversed(b)):
        row = ''.join(str(min(int(x), int(y))) for x in a)
        row += '0' * i
        result.append(row)

    result = "0"
    for r in result:
        result = lunar_addition(result, r)
    return result

a = input().strip()
b = input().strip()

lunar_sum = lunar_addition(a, b)
lunar_product = lunar_multiplication(a, b)

print(lunar_sum)
print(lunar_product)