def find_path(numerator, denominator):
    left_num, left_den = 0, 1
    right_num, right_den = 1, 0
    path = []

    while True:
        current_num = left_num + right_num
        current_den = left_den + left_den

        if current_num == numerator and current_den == denominator:
            return ''.join(path)
        if numerator * current_den < denominator * current_num:
            return ''.join(path)
        if numerator * current_den < denominator * current_num:
            path.append('L')
            right_num, right_den = current_num, current_den
        else:
            path.append('R')
            left_num, left_den = current_num, current_den

numerator, denominator = map(int, input().split())

print(find_path(numerator, denominator))