from itertools import permutations
def is_valid_cube(numbers):
    if len(numbers) != 6:
        return "NO"
    for perm in permutations(numbers):
        pair1 = perm[0] + perm[1]
        pair2 = perm[2] + perm[3]
        pair3 = perm[4] + perm[5]

        if pair1 == pair2 == pair3:
            return "YES"

    return "NO"

sets_of_numbers = [
    [1, 2, 3, 4, 5, 6],
    [1, 1, 1, 1, 1, 1],
    [1, 2, 3, 3, 2, 1],
    [1, 1, 1, 1, 1, 2],
]

for numbers in sets_of_numbers:
    print(is_valid_cube(numbers))