def lunar_addition(a, b):
    a, b = a.zfill(max(len(a), len(b))), b.zfill(max(len(a), len(b)))
    result = ''.join(str(max(int(x), int(y))) for x, y in zip(a, b))
    return result
def lunar_multiplication(a, b):
    result = [0] * (len(a) + len(b))
    a, b = a[::-1], b[::-1]
    for i, x in enumerate(a):
        for j, y in enumerate(b):
            product = int(min(x, y))
            result[i + j] = max(result[i + j], product)

    return ''.join(map(str, result[::-1])).lstrip('0') or '0'

a = input().strip()
b = input().strip()
lunar_sum = lunar_addition(a, b)
lunar_product = lunar_multiplication(a, b)

print(lunar_sum, lunar_product)
