def find_path(numerator, denominator):
    left_num, left_den = 0, 1
    right_num, right_den = 1, 0
    path = []

    while numerator != 1 or denominator != 1:
        if numerator > denominator:
            path.append('R')
            numerator -= denominator
        else:
            path.append('L')
            denominator -= numerator
    return ''.join(path)

numerator, denominator = map(int, input().split())

print(find_path(numerator, denominator))